document.addEventListener('DOMContentLoaded', () => {
  const htmlInput = document.getElementById('htmlInput');
  const preview = document.getElementById('preview');
  const previewButton = document.getElementById('previewButton');
  const fullscreenButton = document.getElementById('fullscreenButton');
  const previewPanel = document.querySelector('.preview-panel');

  function updatePreview() {
    const previewDocument = preview.contentDocument;
    previewDocument.open();
    previewDocument.write(htmlInput.value);
    previewDocument.close();
  }

  function toggleFullscreen() {
    if (previewPanel.classList.contains('fullscreen')) {
      previewPanel.classList.remove('fullscreen');
      fullscreenButton.textContent = 'Full Screen';
    } else {
      previewPanel.classList.add('fullscreen');
      fullscreenButton.textContent = 'Exit Full Screen';
    }
  }

  htmlInput.addEventListener('input', updatePreview);
  fullscreenButton.addEventListener('click', toggleFullscreen);

  // Add example HTML on load
  htmlInput.value = `<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>Preview</title>
</head>
<body>
  <h1>Welcome to HTML Viewer!</h1>
  <p>Start editing to see your changes in real-time.</p>
</body>
</html>`;

  updatePreview();

  // Handle escape key for fullscreen
  document.addEventListener('keydown', (e) => {
    if (e.key === 'Escape' && previewPanel.classList.contains('fullscreen')) {
      toggleFullscreen();
    }
  });
});